## owncloud 1.1+git20110209

=== debian/changelog ===
owncloud (1.1+git20110209-0ubuntu1.1) oneiric-proposed; urgency=low

  * Replace OwnCloud with placeholder page to remove the package.
    Requested by upstream and 4.0 can not be backported
   - LP: #1079150

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Nov 2012 11:50:13 +0000

owncloud (1.1+git20110209-0ubuntu1) natty; urgency=low

  * Initial Package
  * Remove unused and packaged PEAR modules in debian/rules
  * Add kubuntu_01_data_root.diff move config and files directories to /var
  * Add kubuntu_02_system_pear.diff include system PEAR modules to avoid
    duplicate code

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 16:27:50 +0000
