=== debian/control ===
Source: owncloud
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3)
Standards-Version: 3.9.1
Section: web
Homepage: http://www.owncloud.org

Package: owncloud
Architecture: any
Depends: ${misc:Depends}
Description: removed package
 ownCloud is a personal file storage server using Webdav.
 .
 The ownCloud initiative is developed by KDE.
 .
 This package has been removed due to security issues.
 Newer packages are available from OwnCloud at
 http://owncloud.org/support/install/
