## owncloud 3.0.0

=== debian/changelog ===
owncloud (3.0.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Update kubuntu_01_data_root.diff
  * Disable kubuntu_02_system_pear.diff, most PEAR modules gone but should still
    be adapted

 -- Atul Jha <koolhead17@gmail.com>  Mon, 30 Jan 2012 20:11:22 +0000
