=== debian/control ===
Source: owncloud
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3)
Standards-Version: 3.9.1
Section: web
Homepage: http://www.owncloud.org

Package: owncloud
Architecture: all
Depends: ${misc:Depends}, apache2, php5, php-pear, php-xml-parser,php5-gd, php5-mysql | php5-sqlite
Recommends: mysql-server | php5-sqlite
Description: personal file storage server
 ownCloud is a personal file storage server using Webdav.
 .
 The ownCloud initiative is developed by KDE.
