=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 override_dh_install:
 	dh_install
 	chown www-data.www-data debian/owncloud/var/lib/owncloud/data
-	#chown www-data.www-data debian/owncloud/var/lib/owncloud/config
+	chown www-data.www-data debian/owncloud/var/lib/owncloud/config
 	chown www-data.www-data debian/owncloud/var/lib/owncloud/backup
-	#chmod 755 debian/owncloud/var/lib/owncloud/config/
-	#chmod 644 debian/owncloud/var/lib/owncloud/config/config.sample.php
+	chmod 755 debian/owncloud/var/lib/owncloud/config/
+	chmod 644 debian/owncloud/var/lib/owncloud/config/config.sample.php
 	#remove unused files to keep lintian happy
 	#rm -r debian/owncloud/usr/share/owncloud/plugins/textviewer/syntaxhighlighter/tests/
 	#rm debian/owncloud/usr/share/owncloud/img/icons/COPYING
@@ -19,13 +19,13 @@
 	#rm -f debian/owncloud/var/lib/owncloud/config/.gitignore
 	#rm debian/owncloud/usr/share/owncloud/inc/COPYING-PHP
 	#rm debian/owncloud/usr/share/owncloud/inc/COPYING-README
-	##remove PEAR modules, use packaged versions instead
+	#remove PEAR modules, use packaged versions instead
 	#rm -r debian/owncloud/usr/share/owncloud/inc/Archive/ #in php-pear
 	#rm -r debian/owncloud/usr/share/owncloud/inc/Console/ #in php-pear
 	#rm -r debian/owncloud/usr/share/owncloud/inc/docs/ #unnecessary
 	#rm -r debian/owncloud/usr/share/owncloud/inc/Log/; rm debian/owncloud/usr/share/owncloud/inc/Log.php #unused
 	#rm -r debian/owncloud/usr/share/owncloud/inc/Mail/; rm debian/owncloud/usr/share/owncloud/inc/Mail.php #unused
-	##rm -r debian/owncloud/usr/share/owncloud/inc/MDB2/; rm debian/owncloud/usr/share/owncloud/inc/MDB2.php #in php-mdb2 but that does not work so use this copy
+	#rm -r debian/owncloud/usr/share/owncloud/inc/MDB2/; rm debian/owncloud/usr/share/owncloud/inc/MDB2.php #in php-mdb2 but that does not work so use this copy
 	#rm -r debian/owncloud/usr/share/owncloud/inc/Net/ #in php-pear
 	#rm -r debian/owncloud/usr/share/owncloud/inc/packages/ #unnecessary
 	#rm -r debian/owncloud/usr/share/owncloud/inc/PEAR/; rm debian/owncloud/usr/share/owncloud/inc/PEAR.php; rm debian/owncloud/usr/share/owncloud/inc/pearcmd.php #in php-pear
