## owncloud 4.0.7debian

=== debian/changelog ===
owncloud (4.0.7debian-1ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining change:
   - recommend rather than suggest mysql

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Sep 2012 11:57:08 +0100

owncloud (4.0.7debian-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/patches:
    - Removed patch fix_writing_to_shared_readonly.diff
  * debian/repack.sh:
    - Remove experimental feature 'files_external'

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Wed, 15 Aug 2012 13:33:19 +0200

owncloud (4.0.5debian2-2) unstable; urgency=high

  * debian/patches:
    - Added fix_writing_to_shared_readonly.diff to fix WebDAV write access to 
      shared files (Closes: #684426)
  * debian/rules:
    - Remove experimental feature 'files_external'

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 09 Aug 2012 23:29:25 +0200

owncloud (4.0.6debian-0ubuntu1) quantal; urgency=low

  * Merge with Debian
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Aug 2012 14:42:55 +0100

owncloud (4.0.5debian2-1) unstable; urgency=low

  * debian/repack.sh:
    - Removed sourceless minified JavaScript files core/js/jquery-1.7.2.min.js
      and core/js/jquery-ui-1.8.16.custom.min.js (closes: #683395)
    - Removed 3rdparty/Console/Getopt.php and 3rdparty/Crypt_Blowfish
      (closes: #683397)
  * debian/copyright: 
    - Inserted full text of CC-BY-3.0 (closes: #683396)
    - Removed PHP-3 license (closes: #683397)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Tue, 31 Jul 2012 23:42:23 +0200

owncloud (4.0.5debian-1) unstable; urgency=low

  * New upstream bugfix release (closes: #681138, #681169)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 19 Jul 2012 13:04:28 +0200

owncloud (4.0.5debian-0ubuntu1) quantal; urgency=low

  * New upstream release
  * In owncloud-mysql recommend rather than suggest mysql-server

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jul 2012 14:54:09 +0100

owncloud (4.0.4debian-1) unstable; urgency=medium

  * New upstream bugfix release; solve major issues with caching
    (closes: #678956).
  * By own admission, upstream does not believe the PostgreSQL-support
    to be stable/solid; dropping owncloud-pgsql for Wheezy.  (See also:
    http://mail.kde.org/pipermail/owncloud/2012-June/004118.html).

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 29 Jun 2012 22:14:50 +0200

owncloud (4.0.3debian-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/config/lighttpd, debian/owncloud.examples:  add and install
    lighttpd example config file.
  * debian/patches:
    - Updated 05_no_app_store.diff for new upstream and also to also take
      the new "writable_appsdir" option into account.

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 23 Jun 2012 09:27:50 +0200

owncloud (4.0.2debian-1) unstable; urgency=high

  * New upstream bugfix release.
  * debian/postinst:
    - Check whether a2enmod and apache2ctl are available (as apache2 need
      not be installed) (closes: #676319).
    - Ensure that the ownership of permissions of /etc/owncloud/config.php
      and /etc/owncloud/htaccess are correct.
  * debian/patches:
    - Added fix_tar_require.diff to make the require path
      not point to 3rdparty/ so that Archive/Tar.php from php-pear is used
      (closes: #677159).
    - Added fix_sabre_requires.diff to fix the require path for Sabre as well.
    - Added fix_config.php_mode.diff to ensure that the generated configuration
      is not world-readable (closes: #676131)
    - Updated 01_fix_data_path.diff for the new, real location of the
      config (/etc/owncloud).
    - Updated 05_no_app_store.diff to set the "appstoreenabled" default in
      the source (and configuration example) universally to "false".
  * debian/rules, debian/owncloud.install, debian/owncloud.links,
    debian/owncloud.README.Debian, debian/config/:
    Install stuff to /usr/share/owncloud and link data, backup, themes and
    configuration dirs instead of the other way around (closes: #676600).
  * debian/watch: updated to use the new releases page.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 17 Jun 2012 14:03:35 +0200

owncloud (4.0.1debian-2) unstable; urgency=low

  * Upload to fix PostgreSQL-related install issues.
  * debian/control:
    - Removed the postgresql-client-8.1 install alternative, just depend on
      postgresql-client.
    - Changed the postgresql-client suggest into postgresql (i.e. the server).

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 05 Jun 2012 21:33:20 +0200

owncloud (4.0.1debian-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control: replaced suggest on postgresql-server by
    postgresql-client for the owncloud-pgsql package.
  * debian/owncloud-pgsql.README.Debian: updated to not mention admin
    credentials, users won't get them during the postgres install process.
  * debian/patches: 
    - Dropped 04_fix_odfviewer.diff and
      06_add_head_support_for_download.diff; applied by upstream.
    - Updated 05_no_app_store.diff to only check whether the /apps dir is
      writable when the appstore is enabled.
  * debian/rules:
    - Don't install l10n/init.sh.
    - Make sure that /etc/owncloud/htaccess is owned by www-data, as
      ownCloud may update it (for now).

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 05 Jun 2012 00:44:46 +0200

owncloud (4.0.0debian-3) unstable; urgency=low

  * Upload to unstable.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 03 Jun 2012 17:38:46 +0200

owncloud (4.0.0debian-2) experimental; urgency=low

  [ Paul van Tilburg ]
  * debian/control:
    - Set the team as maintainer.
    - Added a depend on php5-curl; this is needed by the bookmarks app,
      which is an internal app.
  * debian/owncloud.links: added some missing links to vital application
    data from /var/lib/owncloud.

  [ Thomas Mueller ]
  * debian/patches:
    - 06_add_head_support_for_download.diff added to fix the ODF viewer.


