## owncloud 4.0.8debian

=== debian/changelog ===
owncloud (4.0.8debian-1.1ubuntu0.1) quantal-security; urgency=low

  * SECURITY UPDATE: Merge with Debian for new upstream release and security
    fixes. Remaining change:
    - Recommends rather than Suggests mysql-server
    - LP: #1084109

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 30 Nov 2012 07:39:09 -0600

owncloud (4.0.8debian-1.1) unstable; urgency=high

  * Non-maintainer upload, fixes several security issues (Closes: #693990).
  * debian/patches/06_oc-sa-2012-001.patch: Fix multiple XSS vulnerabilities.
  * debian/patches/07_oc-sa-2012-002.patch: Fix timing attack.
  * debian/patches/08_oc-sa-2012-004.patch: Fix code execution in migrate.php.
  * debian/patches/09_oc-sa-2012-005.patch: Fix code execution in
    filesystem.php.

 -- Michael Banck <mbanck@debian.org>  Sun, 25 Nov 2012 12:26:01 +0100

owncloud (4.0.8debian-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/patches:
    - Adjust 05_no_app_store.diff

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 11 Oct 2012 14:44:57 +0200
