=== debian/control ===
Source: owncloud
Section: web
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>, Paul van Tilburg <paulvt@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0), yui-compressor
Standards-Version: 3.9.3
Homepage: http://owncloud.org
Vcs-Git: git://git.debian.org/pkg-owncloud/owncloud.git
Vcs-Browser: http://git.debian.org/?p=pkg-owncloud/owncloud.git;a=summary

Package: owncloud
Architecture: all
Depends: ${misc:Depends},
 apache2 | httpd,
 php5, php5-gd, php-pear, php-xml-parser, php-crypt-blowfish, php-sabredav,
 php-mdb2, php-mdb2-schema, libphp-phpmailer, php-getid3 (>= 1.9.3-1),
 php5-curl,
 owncloud-mysql (= ${source:Version}) | owncloud-sqlite (= ${source:Version}),
 libjs-jquery (>= 1.7.2-1), libjs-jquery-ui, libjs-jquery-jplayer
Recommends: exim4 | mail-transport-agent
Description: cloud storage for files, music, contacts, calendars and many more
 ownCloud gives you universal access to your files through a web interface
 or WebDAV.  It also provides a platform to easily view & sync your
 contacts, calendars and bookmarks across all your devices and enables
 basic editing right on the web.

Package: owncloud-mysql
Architecture: all
Depends: php-mdb2-driver-mysql,
 mysql-client | virtual-mysql-client, ${misc:Depends}
Recommends: mysql-server
Description: meta-package providing MySQL dependencies for ownCloud
 This package provides MySQL dependencies for ownCloud, a cloud storage
 application for files, music, contacts, calendars and many more.
 .
 Install this package if you wan to use a MySQL database with ownCloud.

Package: owncloud-sqlite
Architecture: all
Depends: php-mdb2, php-pear, php5-sqlite, ${misc:Depends}
Description: meta-package providing SQLite dependencies for ownCloud
 This package provides SQLite dependencies for ownCloud, a cloud storage
 application for files, music, contacts, calendars and many more.
 .
 Install this package if you wan to use a SQLite database with ownCloud.
