=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install

	# Remove redundant license files as it is already captured in debian/copyright.
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/LICENSE.md
	rm debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/*-LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/COPYING
	rm debian/owncloud/usr/share/owncloud/3rdparty/timepicker/*-LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/when/MIT-LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/apps/calendar/img/Icon\ License
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/LICENSE.jquery.inview
	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/js/pdfjs/LICENSE
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/LICENSE
	rm debian/owncloud/usr/share/owncloud/settings/img/log\ Icon\ License

	# Remove other stuff
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/README.md
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/VERSION
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/AUTHORS
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/Changelog
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/README
	rm debian/owncloud/usr/share/owncloud/3rdparty/timepicker/releases.txt
	rm debian/owncloud/usr/share/owncloud/core/img/filetypes/readme*.txt
	rm debian/owncloud/usr/share/owncloud/core/js/oc-vcategories.txt
	rm -r debian/owncloud/usr/share/owncloud/apps/files_archive/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_encryption/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/user_ldap/tests
	rm -r debian/owncloud/usr/share/owncloud/l10n/templates # translation templates are not needed to run the app
	
	# Remove an unused scripts, source and minified JavaScript files.
	rm -r debian/owncloud/usr/share/owncloud/3rdparty/phpass/c
	rm debian/owncloud/usr/share/owncloud/3rdparty/phpass/test.php
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.inview.txt
	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/js/pdfjs/update.sh
	rm -r debian/owncloud/usr/share/owncloud/apps/files_odfviewer/src
	rm debian/owncloud/usr/share/owncloud/l10n/l10n.pl
	rm debian/owncloud/usr/share/owncloud/l10n/init.sh

	# Minify JavaScript files and remove the source.
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.min.js
	rm debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/js/fullcalendar.min.js
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.Jcrop.min.js
	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.pack.js
	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.pack.js
	rm debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js
	rm debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.min.js

	yui-compressor --type js debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.js -o debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.min.js
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.js -o debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.pack.js
	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.js -o debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.pack.js
	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf-debug.js -o debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js
	rm debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf-debug.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.js -o debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.min.js
	rm debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.js

	# Move the MDB2 Sqlite driver to owncloud-sqlite.
	mv debian/owncloud/usr/share/owncloud/lib/MDB2 debian/owncloud-sqlite/usr/share/php # php-mdb2-driver-sqlite (not yet)

	# Minify ace in app_texteditor
	find debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor -type f | grep -v 'ace-uncompressed' | xargs -exec rm
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js -o debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace.js
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js

	# Clean up the media app so that jquery-jplayer can be linked.
	rm -rf debian/owncloud/usr/share/owncloud/apps/media/js/jQuery.jPlayer.2.1.0.source
	rm debian/owncloud/usr/share/owncloud/apps/media/js/Jplayer.swf
	rm debian/owncloud/usr/share/owncloud/apps/media/js/jquery.jplayer.min.js

override_dh_fixperms:
	dh_fixperms -X var/lib/owncloud
	chown www-data:www-data debian/owncloud/etc/owncloud/
	chown www-data:www-data debian/owncloud/var/lib/owncloud/data/
	chmod 2770 debian/owncloud/var/lib/owncloud/data/
	chown www-data:www-data debian/owncloud/var/lib/owncloud/backup/
	chmod 2770 debian/owncloud/var/lib/owncloud/backup/
	chmod 0644 debian/owncloud/var/lib/owncloud/themes/README
