=== debian/watch ===
version=3
options="dversionmangle=s/debian[0-9]*//" \
  http://owncloud.org/releases/ owncloud-(.*)\.tar\.bz2 \
  debian sh debian/repack.sh
