## owncloud 4.0.9debian

=== debian/changelog ===
owncloud (4.0.9debian-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Nov 2012 13:37:13 +0000

owncloud (4.0.8debian-1ubuntu1) raring; urgency=low

  * Merge with Debian, remaining change:
   - recommend rather than suggest mysql

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2012 16:44:32 +0000
