## owncloud 5.0.4debian

=== debian/changelog ===
owncloud (5.0.4debian-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Apr 2013 13:24:23 +0100

owncloud (5.0.0~rc2debian-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Mar 2013 13:46:29 +0000
