=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: owncloud
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${python:Depends},
  apache2 | httpd,
  php5, php5-gd, php-pear, php-xml-parser, php-crypt-blowfish, php-sabredav,
  php-mdb2, php-mdb2-schema, libphp-phpmailer, php-getid3 (>= 1.9.3-1),
