=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,20 @@
 	rm debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/*-LICENSE.txt
 	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/COPYING
 	rm debian/owncloud/usr/share/owncloud/3rdparty/timepicker/*-LICENSE.txt
-	rm debian/owncloud/usr/share/owncloud/3rdparty/when/MIT-LICENSE.txt
-	rm debian/owncloud/usr/share/owncloud/apps/calendar/img/Icon\ License
-	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/LICENSE.jquery.inview
-	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/js/pdfjs/LICENSE
 	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/LICENSE
 	rm debian/owncloud/usr/share/owncloud/settings/img/log\ Icon\ License
+	rm debian/owncloud/usr/share/owncloud/core/js/LICENSE.jquery.inview
+	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/LICENSE
+	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/css/DroidSansMono/Google*txt
+	rm debian/owncloud/usr/share/owncloud/3rdparty/symfony/routing/Symfony/Component/Routing/LICENSE
+	rm debian/owncloud/usr/share/owncloud/3rdparty/Dropbox/LICENSE.txt
+	rm debian/owncloud/usr/share/owncloud/3rdparty/Google/LICENSE.txt
+	rm debian/owncloud/usr/share/owncloud/3rdparty/aws-sdk/_docs/LICENSE.md
+	rm debian/owncloud/usr/share/owncloud/3rdparty/aws-sdk/lib/cachecore/LICENSE
+	rm debian/owncloud/usr/share/owncloud/3rdparty/aws-sdk/lib/requestcore/LICENSE
+	rm debian/owncloud/usr/share/owncloud/3rdparty/aws-sdk/lib/yaml/LICENSE
+	rm debian/owncloud/usr/share/owncloud/3rdparty/miniColors/GPL-LICENSE.txt
+	rm debian/owncloud/usr/share/owncloud/3rdparty/miniColors/MIT-LICENSE.txt
 
 	# Remove other stuff
 	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/README.md
@@ -31,16 +39,13 @@
 	rm debian/owncloud/usr/share/owncloud/3rdparty/timepicker/releases.txt
 	rm debian/owncloud/usr/share/owncloud/core/img/filetypes/readme*.txt
 	rm debian/owncloud/usr/share/owncloud/core/js/oc-vcategories.txt
-	rm -r debian/owncloud/usr/share/owncloud/apps/files_archive/tests
-	rm -r debian/owncloud/usr/share/owncloud/apps/files_encryption/tests
 	rm -r debian/owncloud/usr/share/owncloud/apps/user_ldap/tests
 	rm -r debian/owncloud/usr/share/owncloud/l10n/templates # translation templates are not needed to run the app
-	
+	rm -r debian/owncloud/usr/share/owncloud/apps/files_videoviewer/mediaelement/src
+
 	# Remove an unused scripts, source and minified JavaScript files.
 	rm -r debian/owncloud/usr/share/owncloud/3rdparty/phpass/c
 	rm debian/owncloud/usr/share/owncloud/3rdparty/phpass/test.php
-	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.inview.txt
-	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/js/pdfjs/update.sh
 	rm -r debian/owncloud/usr/share/owncloud/apps/files_odfviewer/src
 	rm debian/owncloud/usr/share/owncloud/l10n/l10n.pl
 	rm debian/owncloud/usr/share/owncloud/l10n/init.sh
@@ -52,7 +57,11 @@
 	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.pack.js
 	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.pack.js
 	rm debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js
-	rm debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.min.js
+	rm debian/owncloud/usr/share/owncloud/3rdparty/fontawesome/docs/assets/js/underscore.min.js
+	rm debian/owncloud/usr/share/owncloud/core/doc/admin/_static/jquery.js
+	rm debian/owncloud/usr/share/owncloud/core/doc/user/_static/jquery.js
+	rm debian/owncloud/usr/share/owncloud/core/doc/admin/_static/underscore.js
+	rm debian/owncloud/usr/share/owncloud/core/doc/user/_static/underscore.js
 
 	yui-compressor --type js debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.js -o debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.min.js
 	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.js
@@ -63,15 +72,15 @@
 	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf-debug.js -o debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js
 	rm debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf-debug.js
 	yui-compressor --type js debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.js -o debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.min.js
-	rm debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.js
+#	rm debian/owncloud/usr/share/owncloud/core/js/jquery.infieldlabel.js  [this one is needed - jriddell]
 
 	# Move the MDB2 Sqlite driver to owncloud-sqlite.
 	mv debian/owncloud/usr/share/owncloud/lib/MDB2 debian/owncloud-sqlite/usr/share/php # php-mdb2-driver-sqlite (not yet)
 
 	# Minify ace in app_texteditor
-	find debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor -type f | grep -v 'ace-uncompressed' | xargs -exec rm
-	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js -o debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace.js
-	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js
+	#find debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor -type f | grep -v 'ace-uncompressed' | xargs -exec rm
+	#yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js -o debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace.js
+	#rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/ace-uncompressed.js
 
 	# Clean up the media app so that jquery-jplayer can be linked.
 	rm -rf debian/owncloud/usr/share/owncloud/apps/media/js/jQuery.jPlayer.2.1.0.source
